#
# spec file for package ocamlmod
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ocamlmod
Version:        0.0.8
Release:        bp153.1.11
%{?ocaml_preserve_bytecode}
Summary:        Generate OCaml modules
License:        LGPL-2.1+
Group:          Development/Languages/OCaml

Url:            http://forge.ocamlcore.org/projects/ocamlmod/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-rpm-macros >= 4.03
BuildRequires:  ocamlfind(findlib)
BuildRequires:  ocamlfind(str)

%description
Generate OCaml modules from source files

%prep
%setup

%build
%ocaml_oasis_configure --enable-docs
%ocaml_oasis_build
%ocaml_oasis_doc

%install
%ocaml_oasis_findlib_install

%files
%defattr(-,root,root,-)
%{_bindir}/*

%changelog
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon May 30 2016 ohering@suse.de
- Fix build with ocaml-4.03 (fate#320836)
* Wed Sep 16 2015 olaf@aepfle.de
- Update to version 0.0.8
* Mon Jun  3 2013 ohering@suse.de
- Recompress with xz
* Fri May 31 2013 ohering@suse.de
- initial package version 0.0.3
